Subject: Re: [PATCH v2] console: Don't prefer first registered if DT specifies stdout-path

From: Andreas Schwab <[email-masked]>
Date: Sun, 16 Oct 2016 20:07:18 +0200

On Aug 09 2016, Paul Burton <[email-masked]> wrote:

> Fix this by not automatically preferring the first registered console if
> one is specified by the device tree. This allows consoles to be
> registered but not enabled, and once the driver for the console selected
> by stdout-path calls of_console_check() the driver will be added to the
> list of preferred consoles before any other console has been enabled.
> When that console is then registered via register_console() it will be
> enabled as expected.

This breaks the console on PowerMac.  There is no output and it panics
eventually.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."